[arch-commits] Commit in openbox/repos (3 files)

Giovanni Scafora giovanni at archlinux.org
Fri Jan 15 10:00:51 EST 2010


    Date: Friday, January 15, 2010 @ 10:00:50
  Author: giovanni
Revision: 63170

Merged revisions 62831,63162 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/openbox/trunk

........
  r62831 | andrea | 2010-01-12 17:38:28 +0100 (mar, 12 gen 2010) | 1 line
  
  new url
........
  r63162 | andrea | 2010-01-15 13:48:49 +0100 (ven, 15 gen 2010) | 2 lines
  
  upgpkg: openbox 3.4.10-2
      fix a bug in openbox-gnome-session (FS#17082)
........

Added:
  openbox/repos/extra-x86_64/fix-bug-in-openbox-gnome-session.patch
    (from rev 63162, openbox/trunk/fix-bug-in-openbox-gnome-session.patch)
Modified:
  openbox/repos/extra-x86_64/	(properties)
  openbox/repos/extra-x86_64/PKGBUILD

----------------------------------------+
 PKGBUILD                               |   14 ++++++++++----
 fix-bug-in-openbox-gnome-session.patch |   15 +++++++++++++++
 2 files changed, 25 insertions(+), 4 deletions(-)


Property changes on: openbox/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /openbox/trunk:1-62395
   + /openbox/trunk:1-63169

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2010-01-15 14:58:38 UTC (rev 63169)
+++ extra-x86_64/PKGBUILD	2010-01-15 15:00:50 UTC (rev 63170)
@@ -5,22 +5,24 @@
 
 pkgname=openbox
 pkgver=3.4.10
-pkgrel=1
+pkgrel=2
 pkgdesc="A window manager for the X11 windowing system"
 arch=('i686' 'x86_64')
 license=('GPL')
 depends=('startup-notification' 'libxml2' 'libxinerama' 'libxrandr'
 	'libxcursor' 'pango')
 optdepends=('pyxdg: for the xdg-autostart script')
-url="http://icculus.org/openbox"
+url="http://openbox.org"
 groups=('lxde')
 install=openbox.install
 options=('!libtool' 'force')
 backup=('etc/xdg/openbox/menu.xml' 'etc/xdg/openbox/rc.xml')
 source=(http://www.icculus.org/openbox/releases/${pkgname}-${pkgver}.tar.gz
-	'which-2.20.patch')
+	'which-2.20.patch'
+	'fix-bug-in-openbox-gnome-session.patch')
 md5sums=('daccf153c7808950313eb00bc250f9bc'
-         'b72cac492e0ed83fd5ced9c1263cfa24')
+         'b72cac492e0ed83fd5ced9c1263cfa24'
+	 '311970598bda08c670500acc6a1b5cd2')
 
 build() {
   cd ${srcdir}/${pkgname}-${pkgver}
@@ -28,6 +30,9 @@
   # FS#11455
   patch -Np1 -i ${srcdir}/which-2.20.patch || return 1
 
+  # Already fixed in git
+  patch -Np1 -i ${srcdir}/fix-bug-in-openbox-gnome-session.patch || return 1
+
   ./configure --prefix=/usr \
     --with-x \
     --enable-startup-notification \
@@ -38,3 +43,4 @@
   sed -i "s:startkde:/usr/bin/\0:" ${pkgdir}/usr/share/xsessions/openbox-kde.desktop
   sed -i "s:=gnome-session:=/usr/bin/gnome-session:" ${pkgdir}/usr/share/xsessions/openbox-gnome.desktop
 }
+

Copied: openbox/repos/extra-x86_64/fix-bug-in-openbox-gnome-session.patch (from rev 63162, openbox/trunk/fix-bug-in-openbox-gnome-session.patch)
===================================================================
--- extra-x86_64/fix-bug-in-openbox-gnome-session.patch	                        (rev 0)
+++ extra-x86_64/fix-bug-in-openbox-gnome-session.patch	2010-01-15 15:00:50 UTC (rev 63170)
@@ -0,0 +1,15 @@
+X-Git-Url: http://git.openbox.org/?p=dana%2Fopenbox.git;a=blobdiff_plain;f=data%2Fxsession%2Fopenbox-gnome-session.in;h=1f17edbcd086bf5d164d506e5e3deab98262d621;hp=6765ae82b21bb066e25b3d8bb9d95cc620641830;hb=62e36ad0410ce888e7097e7bce5cbbf67b5b6290;hpb=e8200ae603f33b70824c125ba6b37bfaec7d89ea
+
+diff --git a/data/xsession/openbox-gnome-session.in b/data/xsession/openbox-gnome-session.in
+index 6765ae8..1f17edb 100644
+--- a/data/xsession/openbox-gnome-session.in
++++ b/data/xsession/openbox-gnome-session.in
+@@ -37,7 +37,7 @@ else
+   if test -z "$SESSION"; then
+       # if its empty then just run openbox
+       SESSION="[openbox]"
+-  elif test -z $(echo "$SESSION" | grep -q openbox); then
++  elif echo "$SESSION" | grep -q openbox; then
+       # if openbox isn't in the session then append it
+       SESSION="${SESSION%]},openbox]"
+   fi



More information about the arch-commits mailing list